## RygelHTTPResponseElement

RygelHTTPResponseElement — This abstract class represents an entity that can contribute response headers to a HTTP request.

## Functions

void | rygel_http_response_element_add_response_headers ()
gchar * | rygel_http_response_element_to_string ()

## Types and Values

#define | RYGEL_TYPE_HTTP_RESPONSE_ELEMENT
#define | RYGEL_HTTP_RESPONSE_ELEMENT_UNSPECIFIED
struct | RygelHTTPResponseElement
struct | RygelHTTPResponseElementClass

## Object Hierarchy

        GObject
        ╰── RygelHTTPResponseElement
            ├── RygelDLNAAvailableSeekRangeResponse
            ├── RygelDTCPCleartextResponse
            ├── RygelHTTPByteSeekResponse
            ├── RygelHTTPTimeSeekResponse
            ╰── RygelPlaySpeedResponse

## Description

## Functions

### rygel_http_response_element_add_response_headers ()

    void
    rygel_http_response_element_add_response_headers
                                   (RygelHTTPResponseElement *self,
                                    RygelHTTPRequest *request);

Set the type-appropriate headers on the associated HTTP Message

#### Parameters

self | the RygelHTTPResponseElement instance |
request |  |

### rygel_http_response_element_to_string ()

    gchar *
    rygel_http_response_element_to_string (RygelHTTPResponseElement *self);

#### Parameters

self | the RygelHTTPResponseElement instance |

## Types and Values

### RYGEL_TYPE_HTTP_RESPONSE_ELEMENT

    #define RYGEL_TYPE_HTTP_RESPONSE_ELEMENT (rygel_http_response_element_get_type ())

The type for RygelHTTPResponseElement.

### RYGEL_HTTP_RESPONSE_ELEMENT_UNSPECIFIED

    #define RYGEL_HTTP_RESPONSE_ELEMENT_UNSPECIFIED ((gint64) -1)

### struct RygelHTTPResponseElement

    struct RygelHTTPResponseElement;

This abstract class represents an entity that can contribute response headers to a HTTP request.

### struct RygelHTTPResponseElementClass

    struct RygelHTTPResponseElementClass {
    	GObjectClass parent_class;
    	void (*add_response_headers) (RygelHTTPResponseElement* self, RygelHTTPRequest* request);
    	gchar* (*to_string) (RygelHTTPResponseElement* self);
    };

The class structure for `RYGEL_TYPE_HTTP_RESPONSE_ELEMENT`. All the fields in this structure are private and should never be accessed directly.

#### Members

`add_response_headers` () | virtual method called by `rygel_http_response_element_add_response_headers()` |
`to_string` () | virtual method called by `rygel_http_response_element_to_string()` |